Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST /v1/crawls starts an asynchronous crawl of a website.
POST https://api.sila.sh/v1/crawls
Idempotency-Key
200
{ "url": "https://example.com", "additionalSiteUrls": [], "sitemapUrls": [], "llmsTxtUrls": [], "discovery": "auto", "manualUrls": [], "limit": 100, "respectRobots": true, "incremental": null, "webhook": { "url": "https://example.com/hook", "metadata": {} } }
discovery
auto
sitemap-only
manual-only
limit
400 limit_exceeded
respectRobots
true
incremental
{ "since": ISO|null, "knownUrls": [], "knownSitemapUrls": [], "knownLlmsSources": [{ "url", "etag", "lastModified", "contentHash" }] }
webhook
url
metadata
{ "id": "…", "status": "queued", "createdAt": "2026-11-04T00:00:00.000Z" }
invalid_request
invalid_url
limit_exceeded
unauthorized
credits_exhausted
concurrency_limit